# Obtain DNS or FILE verification information - GetDVAuthInfo

## Overview

Obtain DNS or FILE verification information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetDVAuthInfo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **CertificateID** | int | Certificate Number of Purchase |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **AuthMethod** | string | Verification Method DNS\|FILE |**Yes**|
| **Auths** | array[[*AuthSet*](#authset)] | Content to be verified |**Yes**|

#### Data Model


#### AuthSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AuthKey** | string | The key corresponding to the DNS's CNAME, the file name corresponding to FILE. |**Yes**|
| **AuthValue** | string | The value corresponding to DNS's CNAME, the content of the file corresponding to FILE. |**Yes**|
| **Domain** | string | Domain Name |**Yes**|
| **AuthPath** | string | The file path corresponding to FILE |**Yes**|
| **AuthRecord** | string | Record value corresponding to DNS |**Yes**|
| **AuthType** | string |  |**Yes**|
| **AuthFile** | string |  |**Yes**|
| **AuthMethod** | string |  |**Yes**|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=GetDVAuthInfo
&CertificateID=1
```

### Response Example
    
```json
{
  "Action": "GetDVAuthInfoResponse",
  "AuthMethod": "DNS",
  "Auths": [
    {
      "authKey": "s5iljpx7j6dvmup5i4nyxwb4z3rfvnwj.bestenover.com",
      "authValue": "s20170106185910.bestenover.com",
      "domain": "www.bestenover.com"
    }
  ],
  "RetCode": 0
}
```





